Package com.xebialabs.xlrelease.domain.events

# Class CommentCreatedEvent$

java.lang.Object
scala.runtime.AbstractFunction4<Task,Comment,String,Object,CommentCreatedEvent>
com.xebialabs.xlrelease.domain.events.CommentCreatedEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function4<Task,Comment,String,Object,CommentCreatedEvent>`

public class CommentCreatedEvent$ extends scala.runtime.AbstractFunction4<Task,Comment,String,Object,CommentCreatedEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CommentCreatedEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommentCreatedEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `$lessinit$greater$default$4()`
  `CommentCreatedEvent`
  `apply(Task task, Comment comment, String author, boolean createdByUser)`
  `boolean`
  `apply$default$4()`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple4<Task,Comment,String,Object>>`
  `unapply(CommentCreatedEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction4

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Function4

  `apply`

- ## Field Details

  - ### MODULE$

    public static final CommentCreatedEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### CommentCreatedEvent$

    public CommentCreatedEvent$()

- ## Method Details

  - ### $lessinit$greater$default$4

    public boolean $lessinit$greater$default$4()

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function4<Task,Comment,String,Object,CommentCreatedEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction4<Task,Comment,String,Object,CommentCreatedEvent>`

  - ### apply

    public CommentCreatedEvent apply(Task task, Comment comment, String author, boolean createdByUser)

  - ### apply$default$4

    public boolean apply$default$4()

  - ### unapply

    public scala.Option<scala.Tuple4<Task,Comment,String,Object>> unapply(CommentCreatedEvent x$0)